﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace ListBoxCustomDragDropBehaviorTest
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		private ObservableCollection<MyViewModel> items1 = new ObservableCollection<MyViewModel>();
		private ObservableCollection<MyViewModel> items2 = new ObservableCollection<MyViewModel>();


		public MainWindow()
		{
			InitializeComponent();

			for (int i = 0; i < 50; i++)
			{
				this.items1.Add(new MyViewModel() { ID = i, Name = "Item" + i });
			}

			this.ListBox1.ItemsSource = this.items1;
			//this.ListBox2.ItemsSource = this.items2;
			this.ListBox3.ItemsSource = new ObservableCollection<string>() { "1", "2", "3", "4", "5", "6", "7" };
		}
	}
}
